#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
# Luomio <nohappiness@gmail.com>
# Filename: append_control.rb
# Create Date: 04-01, 13

def get_icon_name(desktop_file)
  open(desktop_file).read.lines do |line|
    next unless line =~ /^Icon=(.*)/
    return $1
  end
end

abort "Not in source dir" unless File.directory? "icons"
origin_control = open('debian/control').read
control = open('debian/control','a')
Dir.glob('desktops/*').each do |desktop|
  pname = File.basename(desktop).split('.').first
  open(desktop) do |f|
    desc, longdesc = '', ''
    f.each do |line|
      next unless line =~ /(Name|Comment)=(.*)/
      desc = $2 if $1 == "Name"
      longdesc = $2 if $1 == "Comment"
    end
    control.write "Package: deepin-webapps-#{pname}\n"\
        "Architecture: all\n"\
        "Depends: google-chrome-stable | google-chrome-beta | google-chrome-unstable, xdg-utils\n"\
        "Description: #{desc}\n"\
        " #{longdesc}\n\n" unless origin_control =~ /#{pname}/
  end
  open("debian/deepin-webapps-#{pname}.install",'w') do |f|
    icon_name = get_icon_name(desktop)
    f.write "#{desktop} /usr/share/applications/\n"
    f.write "icons/#{icon_name}.png /usr/share/icons/hicolor/48x48/apps/\n"
    f.write "html/#{pname}.html /usr/share/deepin-webapps/\n"
  end
end
