#!/usr/bin/env ruby
# vim: set ts=2 sw=2 fileencoding=utf-8 :
# Luomio <nohappiness@gmail.com>
# Filename: generate_desktop_data.rb
# Create Date: 05-03, 13

require'uri'
open('debian/filter_wminstance.ini','w') do |fp|
  fp.write("[chromium-browser]\n")
  Dir.glob('desktops/*.desktop').sort.each do |desktop_file|
    open(desktop_file).lines do |line|
      if line =~ %r#^Exec=/usr/bin/chromium-browser --app=(.*)$# or \
        line =~ %r#^Exec=/usr/bin/chromium-browser "--app=(.*)"$#
        url = URI.parse $1
        if url.path.empty? or url.path.to_s == '/'
          wmclass = "#{url.host}"
        elsif url.path.end_with? '/'
          wmclass = "#{url.host}_#{url.path[0...-1].gsub '/','_'}"
        else
          wmclass = "#{url.host}_#{url.path.gsub '/','_'}"
        end
        fp.write("#{wmclass}=#{desktop_file[9..-9]}\n")
      else
        next
      end
    end
  end
end

